// toShare index.js
'use strict';
// uses rest, tooltip

async function initializePage(){
	await atsConfiguration.reflection();
	reservationMenu();
	inoutboardMenu();
}

function reservationMenu(){
	const divReservationTableSelect = document.getElementById('reservation-table-select');
	if(atsConfiguration.valueFromKey('reservation')!='false'){
		atsReservationTables.restGet().then(()=>{
			for(const atsTable of atsReservationTables.data){
				const aTag = document.createElement('a');
				aTag.href = (atsTable.table_custom === 0) ? '/reservation/' : '/custom/';
				aTag.href += atsTable.table_uri;
				aTag.innerText = atsTable.table_name;
				aTag.hash = atsTable.table_id;
				aTag.dataset.tooltip = atsTable.table_desc;

				const pTable = document.createElement('p');
				pTable.appendChild(aTag);

				divReservationTableSelect.appendChild(pTable);
			}
		});
	}else{document.getElementById('reservation').style.display='none'}
}

function inoutboardMenu(){
	const divInoutboardSelect = document.getElementById('inoutboard-select');
	if(atsConfiguration.valueFromKey('inoutboard')!='false'){
		atsInoutboards.restGet().then(()=>{
			if(atsInoutboards.data.length != 1){
				for(const atsInoutboard of atsInoutboards.data){
					const aTag = document.createElement('a');
					aTag.href = '/inoutboard/';
					aTag.innerHTML = '&#x25A0; ';	//	aTag.innerHTML = '&#x1F5CF; ';
					aTag.innerText += atsInoutboard.board_name;
					aTag.dataset.tooltip = atsInoutboard.board_name;
					aTag.hash = atsInoutboard.board_id;

					const pTable = document.createElement('p');
					pTable.appendChild(aTag);

					divInoutboardSelect.appendChild(pTable);
				}
			}
		});
	}else{document.getElementById('inoutboard').style.display='none'}
}

initializePage();

